|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerMemberSheetExtension Class Reference

The QDesignerMemberSheetExtension class provides extensions to objects member sheets in Qt Designer. More...

    #include <QDesignerMemberSheetExtension>

Part of the QtDesigner module.

- List of all members, including inherited members

### Public Functions

- virtual ~QDesignerMemberSheetExtension ()
- virtual int count () const = 0
- virtual QString declaredInClass ( int index ) const = 0
- virtual int indexOf ( const QString & name ) const = 0
- virtual bool inheritedFromWidget ( int index ) const = 0
- virtual bool isSignal ( int index ) const = 0
- virtual bool isSlot ( int index ) const = 0
- virtual bool isVisible ( int index ) const = 0
- virtual QString memberGroup ( int index ) const = 0
- virtual QString memberName ( int index ) const = 0
- virtual QList<QByteArray> parameterNames ( int index ) const = 0
- virtual QList<QByteArray> parameterTypes ( int index ) const = 0
- virtual void setMemberGroup ( int index, const QString & group ) = 0
- virtual void setVisible ( int index, bool b ) = 0
- virtual QString signature ( int index ) const = 0

## Detailed Description

The QDesignerMemberSheetExtension class provides extensions to objects member sheets in Qt Designer.

## Member Function Documentation

### QDesignerMemberSheetExtension::~QDesignerMemberSheetExtension () `[virtual]`

### int QDesignerMemberSheetExtension::count () const `[pure virtual]`

### QString QDesignerMemberSheetExtension::declaredInClass ( int index ) const `[pure virtual]`

### int QDesignerMemberSheetExtension::indexOf ( const QString & name ) const `[pure virtual]`

### bool QDesignerMemberSheetExtension::inheritedFromWidget ( int index ) const `[pure virtual]`

### bool QDesignerMemberSheetExtension::isSignal ( int index ) const `[pure virtual]`

### bool QDesignerMemberSheetExtension::isSlot ( int index ) const `[pure virtual]`

### bool QDesignerMemberSheetExtension::isVisible ( int index ) const `[pure virtual]`

### QString QDesignerMemberSheetExtension::memberGroup ( int index ) const `[pure virtual]`

### QString QDesignerMemberSheetExtension::memberName ( int index ) const `[pure virtual]`

### QList<QByteArray> QDesignerMemberSheetExtension::parameterNames ( int index ) const `[pure virtual]`

### QList<QByteArray> QDesignerMemberSheetExtension::parameterTypes ( int index ) const `[pure virtual]`

### void QDesignerMemberSheetExtension::setMemberGroup ( int index, const QString & group ) `[pure virtual]`

### void QDesignerMemberSheetExtension::setVisible ( int index, bool b ) `[pure virtual]`

### QString QDesignerMemberSheetExtension::signature ( int index ) const `[pure virtual]`